summaryrefslogtreecommitdiffstats
path: root/kunittest/kunittest
diff options
context:
space:
mode:
Diffstat (limited to 'kunittest/kunittest')
-rwxr-xr-xkunittest/kunittest19
1 files changed, 19 insertions, 0 deletions
diff --git a/kunittest/kunittest b/kunittest/kunittest
new file mode 100755
index 00000000..fbb8424f
--- /dev/null
+++ b/kunittest/kunittest
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+export APP=$1
+export DCOPNAME=$2
+
+if [ ! -x $APP ]
+then
+ kdialog --error "Sorry, $APP is not a valid executable file."
+ exit 1;
+fi
+
+DEBUGHELPER=`which kunittest_debughelper`
+if [ -z $DEBUGHELPER ]
+then
+ kdialog --error "Sorry, couldn't find the kunittest_debughelper script."
+ exit 3
+fi
+
+$APP 2>&1 | perl $DEBUGHELPER "$DCOPNAME-*"